package org.jeecg.modules.dynamicStaticAnalysis.entity;

    import com.baomidou.mybatisplus.annotation.TableField;
    import com.baomidou.mybatisplus.annotation.TableId;
    import com.baomidou.mybatisplus.annotation.TableName;
    import java.io.Serializable;
    import java.util.Date;
    import io.swagger.annotations.ApiModel;
    import io.swagger.annotations.ApiModelProperty;
    import lombok.Getter;
    import lombok.Setter;

/**
* <p>
    * 动静态分析-配置-轨检车TQI超限权值
    * </p>
*
* @author hkl
* @since 2023-08-01
*/
    @Getter
    @Setter
    @ApiModel(value = "ConfigRailVehicleTql对象", description = "动静态分析-配置-轨检车TQI超限权值")

public class ConfigRailVehicleTqlDTO {


    private static final long serialVersionUID = 1L;

            @ApiModelProperty("主键")
    private String id;

            @ApiModelProperty("创建人")
    private String createBy;

            @ApiModelProperty("创建日期")
    private Date createTime;

            @ApiModelProperty("更新人")
    private String updateBy;

            @ApiModelProperty("更新时间")
    private Date updateTime;

            @ApiModelProperty("速度等级")
    private String speedExpression;

            @ApiModelProperty("速度下限")
    private Integer speedMin;

            @ApiModelProperty("速度上限")
    private Integer speedMax;

            @ApiModelProperty("钢轨")
    private String rail;

            @ApiModelProperty("曲线")
    private String curve;

            @ApiModelProperty("竖曲线")
    private String verticalCurve;

            @ApiModelProperty("道岔")
    private String railSwitch;

            @ApiModelProperty("是否删除（0：未删除； 1：已删除）")
    private String delFlag;

            @ApiModelProperty("备注")
    private String remark;


}
